PULSAR
API ReferenceWork Orders

Get Work Orders For Export

Get same data as getWorkOrders, but formated to create a CSV on the frontend.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

page?number

The page number to return.

Formatdouble
Default1
pageSize?number

The number of results to return per page.

Formatdouble
Default1000
denormalized?boolean
  • if true, returns data in 'denormalized' param, otherwise in 'normalized' param.
Defaultfalse

Response Body

application/json

Try it live
GET
/work-orders/export

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/work-orders/export"
{  "totalItems": 0.1,  "denormalized": {    "workOrders": {      "rows": [        [          null        ]      ],      "cols": [        "string"      ]    }  },  "normalized": {    "workOrdersWithMachine": {      "rows": [        [          null        ]      ],      "cols": [        "string"      ]    },    "workOrdersWithSku": {      "rows": [        [          null        ]      ],      "cols": [        "string"      ]    }  }}